<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (11.0.1) on Wed Aug 14 16:16:23 CEST 2019 -->
<title>ArxivRecord (dblp.datatools 2019.08.0.0 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-08-14">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ArxivRecord (dblp.datatools 2019.08.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":9,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":9,"i7":10,"i8":10,"i9":9,"i10":9,"i11":9,"i12":9,"i13":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">bous.philipp.dblp.datatools.model.records.archetypes</a></div>
<h2 title="Class ArxivRecord" class="title">Class ArxivRecord</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="AbstractBasicRecord.html" title="class in bous.philipp.dblp.datatools.model.records.archetypes">bous.philipp.dblp.datatools.model.records.archetypes.AbstractBasicRecord</a></li>
<li>
<ul class="inheritance">
<li>bous.philipp.dblp.datatools.model.records.archetypes.ArxivRecord</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="../../ConvertableToRecDoc.html" title="interface in bous.philipp.dblp.datatools.model">ConvertableToRecDoc</a></code>, <code><a href="../../FeatureHolder.html" title="interface in bous.philipp.dblp.datatools.model">FeatureHolder</a></code>, <code><a href="RecordArchetype.html" title="interface in bous.philipp.dblp.datatools.model.records.archetypes">RecordArchetype</a></code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">ArxivRecord</span>
extends <a href="AbstractBasicRecord.html" title="class in bous.philipp.dblp.datatools.model.records.archetypes">AbstractBasicRecord</a></pre>
<div class="block">Represents a record from the arXiv-source.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.bous.philipp.dblp.datatools.model.records.archetypes.AbstractBasicRecord">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;bous.philipp.dblp.datatools.model.records.archetypes.<a href="AbstractBasicRecord.html" title="class in bous.philipp.dblp.datatools.model.records.archetypes">AbstractBasicRecord</a></h3>
<code><a href="AbstractBasicRecord.html#abstractOfPublication">abstractOfPublication</a>, <a href="AbstractBasicRecord.html#authors">authors</a>, <a href="AbstractBasicRecord.html#categories">categories</a>, <a href="AbstractBasicRecord.html#features">features</a>, <a href="AbstractBasicRecord.html#id">id</a>, <a href="AbstractBasicRecord.html#originalId">originalId</a>, <a href="AbstractBasicRecord.html#POSITION_CUT_LEVEL">POSITION_CUT_LEVEL</a>, <a href="AbstractBasicRecord.html#title">title</a></code></li>
</ul>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">ArxivRecord</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static java.util.Set&lt;java.lang.String&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#extractPrimaryCategories(java.lang.String)">extractPrimaryCategories</a></span>&#8203;(java.lang.String&nbsp;categoryString)</code></th>
<td class="colLast">
<div class="block">Tries to extract the primary categories from a category-string as it is
 contained in an arXiv-xml's categories-tag.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.time.LocalDate</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDateStamp()">getDateStamp</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.util.Set&lt;java.lang.String&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPrimaryCategories()">getPrimaryCategories</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns a set of primary categories for this record.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;java.lang.String&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSplittedAuthors()">getSplittedAuthors</a></span>()</code></th>
<td class="colLast">
<div class="block">Attempts to split the current record's authors; uses splitAuthorsString internally.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.util.List&lt;java.lang.String&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSplittedCategories()">getSplittedCategories</a></span>()</code></th>
<td class="colLast">
<div class="block">Attempts to split the current record's categories; uses splitCategoriesString internally.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;java.lang.String&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSplittedMscClass()">getSplittedMscClass</a></span>()</code></th>
<td class="colLast">
<div class="block">Attempts to split the current record's msc-class; uses splitMscClassString internally</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isPhysics(java.lang.String)">isPhysics</a></span>&#8203;(java.lang.String&nbsp;category)</code></th>
<td class="colLast">
<div class="block">Convenience-method to check if a category string is part of the physics-category.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setDateStamp(java.lang.String)">setDateStamp</a></span>&#8203;(java.lang.String&nbsp;YMDString)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setDateStamp(java.time.LocalDate)">setDateStamp</a></span>&#8203;(java.time.LocalDate&nbsp;dateStamp)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>static java.util.List&lt;java.lang.String&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#splitAcmClassificationString(java.lang.String)">splitAcmClassificationString</a></span>&#8203;(java.lang.String&nbsp;acmClassification)</code></th>
<td class="colLast">
<div class="block">Attempts to split a String containing a collection of acm-classes into a list of tokens each representing one class.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>static java.util.List&lt;java.lang.String&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#splitAuthorsString(java.lang.String)">splitAuthorsString</a></span>&#8203;(java.lang.String&nbsp;authors)</code></th>
<td class="colLast">
<div class="block">Attempts to split a String containing a collection of authors into a list of tokens each representing one author.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>static java.util.List&lt;java.lang.String&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#splitCategoriesString(java.lang.String)">splitCategoriesString</a></span>&#8203;(java.lang.String&nbsp;categories)</code></th>
<td class="colLast">
<div class="block">Attempts to split a String containing a collection of categories into a list of tokens each representing one category.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>static java.util.List&lt;java.lang.String&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#splitMscClassString(java.lang.String)">splitMscClassString</a></span>&#8203;(java.lang.String&nbsp;mscClassification)</code></th>
<td class="colLast">
<div class="block">Attempts to split a String that represents a collection of msc-classes into tokens and returns those in a list.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#toString()">toString</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.bous.philipp.dblp.datatools.model.records.archetypes.AbstractBasicRecord">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;bous.philipp.dblp.datatools.model.records.archetypes.<a href="AbstractBasicRecord.html" title="class in bous.philipp.dblp.datatools.model.records.archetypes">AbstractBasicRecord</a></h3>
<code><a href="AbstractBasicRecord.html#addFeature(bous.philipp.dblp.datatools.model.Feature)">addFeature</a>, <a href="AbstractBasicRecord.html#getFeatureList()">getFeatureList</a>, <a href="AbstractBasicRecord.html#toRecordDocument()">toRecordDocument</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ArxivRecord</h4>
<pre>public&nbsp;ArxivRecord()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="splitAcmClassificationString(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>splitAcmClassificationString</h4>
<pre class="methodSignature">public static&nbsp;java.util.List&lt;java.lang.String&gt;&nbsp;splitAcmClassificationString&#8203;(java.lang.String&nbsp;acmClassification)</pre>
<div class="block">Attempts to split a String containing a collection of acm-classes into a list of tokens each representing one class.
 Due to various input-inconsistencies there cannot be a 100% correctness assumption, even if there do not exist known problems
 with this in the context of acm-class-strings originating from arxiv-xml-files. Therefore this methods logic
 is quite rudimentary.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>acmClassification</code> - a String representing a collection of acm-classes</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a list of Strings where each element is supposed to represent one category; returns null for empty or null input</dd>
</dl>
</li>
</ul>
<a id="splitCategoriesString(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>splitCategoriesString</h4>
<pre class="methodSignature">public static&nbsp;java.util.List&lt;java.lang.String&gt;&nbsp;splitCategoriesString&#8203;(java.lang.String&nbsp;categories)</pre>
<div class="block">Attempts to split a String containing a collection of categories into a list of tokens each representing one category.
 Due to various input-inconsistencies there cannot be a 100% correctness assumption, even if there do not exist known problems
 with this in the context of category-strings originating from arxiv-xml-files.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>categories</code> - a String representing a collection of categories</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a list of Strings where each element is supposed to represent one category; returns null for empty or null input</dd>
</dl>
</li>
</ul>
<a id="getSplittedCategories()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSplittedCategories</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;java.lang.String&gt;&nbsp;getSplittedCategories()</pre>
<div class="block">Attempts to split the current record's categories; uses splitCategoriesString internally.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a list where one Element represents one identified category-token; returns null if this record didn't have categories.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="#splitCategoriesString(java.lang.String)"><code>splitCategoriesString(String)</code></a></dd>
</dl>
</li>
</ul>
<a id="splitAuthorsString(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>splitAuthorsString</h4>
<pre class="methodSignature">public static&nbsp;java.util.List&lt;java.lang.String&gt;&nbsp;splitAuthorsString&#8203;(java.lang.String&nbsp;authors)</pre>
<div class="block">Attempts to split a String containing a collection of authors into a list of tokens each representing one author.
 Due to various input-inconsistencies there cannot be a 100% correctness assumption.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>authors</code> - a String representing a colleciton of authors</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a list of Strings where each element is supposed to represent one author; returns null for empty or null input</dd>
</dl>
</li>
</ul>
<a id="getSplittedAuthors()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSplittedAuthors</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;java.lang.String&gt;&nbsp;getSplittedAuthors()</pre>
<div class="block">Attempts to split the current record's authors; uses splitAuthorsString internally.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a list where one Element represents one identified author-token; returns null if this record didn't have authors.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="#splitAuthorsString(java.lang.String)"><code>splitAuthorsString(String)</code></a></dd>
</dl>
</li>
</ul>
<a id="splitMscClassString(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>splitMscClassString</h4>
<pre class="methodSignature">public static&nbsp;java.util.List&lt;java.lang.String&gt;&nbsp;splitMscClassString&#8203;(java.lang.String&nbsp;mscClassification)</pre>
<div class="block">Attempts to split a String that represents a collection of msc-classes into tokens and returns those in a list.
 Remark that there exist edge-cases that can not be uniquely resolved. The current implementation takes only
 the identifiable main-classification and throws out the rest of the input String.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>mscClassification</code> - the msc-class String to be split</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a list where one Element represents one identified class-token; returns null for empty or null input</dd>
</dl>
</li>
</ul>
<a id="getSplittedMscClass()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSplittedMscClass</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;java.lang.String&gt;&nbsp;getSplittedMscClass()</pre>
<div class="block">Attempts to split the current record's msc-class; uses splitMscClassString internally</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a list where one Element represents one identified class-token; returns null if this record didn't have a msc-classification.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="#splitMscClassString(java.lang.String)"><code>splitMscClassString(String)</code></a></dd>
</dl>
</li>
</ul>
<a id="toString()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="AbstractBasicRecord.html#toString()">toString</a></code>&nbsp;in class&nbsp;<code><a href="AbstractBasicRecord.html" title="class in bous.philipp.dblp.datatools.model.records.archetypes">AbstractBasicRecord</a></code></dd>
</dl>
</li>
</ul>
<a id="extractPrimaryCategories(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>extractPrimaryCategories</h4>
<pre class="methodSignature">public static&nbsp;java.util.Set&lt;java.lang.String&gt;&nbsp;extractPrimaryCategories&#8203;(java.lang.String&nbsp;categoryString)</pre>
<div class="block">Tries to extract the primary categories from a category-string as it is
 contained in an arXiv-xml's categories-tag.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>categoryString</code> - the tag-content to be processed</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the categories in a set of Strings</dd>
</dl>
</li>
</ul>
<a id="getPrimaryCategories()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPrimaryCategories</h4>
<pre class="methodSignature">public&nbsp;java.util.Set&lt;java.lang.String&gt;&nbsp;getPrimaryCategories()</pre>
<div class="block">Returns a set of primary categories for this record.
 Based on: http://arxitics.com/help/categories</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the primary categories of this record</dd>
</dl>
</li>
</ul>
<a id="isPhysics(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPhysics</h4>
<pre class="methodSignature">public static&nbsp;boolean&nbsp;isPhysics&#8203;(java.lang.String&nbsp;category)</pre>
<div class="block">Convenience-method to check if a category string is part of the physics-category.
 Based on: http://arxitics.com/help/categories</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>category</code> - the category</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if it is physics, false otherwise</dd>
</dl>
</li>
</ul>
<a id="getDateStamp()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDateStamp</h4>
<pre class="methodSignature">public&nbsp;java.time.LocalDate&nbsp;getDateStamp()</pre>
</li>
</ul>
<a id="setDateStamp(java.time.LocalDate)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDateStamp</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setDateStamp&#8203;(java.time.LocalDate&nbsp;dateStamp)</pre>
</li>
</ul>
<a id="setDateStamp(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setDateStamp</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setDateStamp&#8203;(java.lang.String&nbsp;YMDString)</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
